> ## Documentation Index
> Fetch the complete documentation index at: https://strattumai.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Apply transforms and update the graph ontology atomically (T3.6, T3.7)

> Writes the provided transforms to a YAML config file and merges ontology additions (nodes + edges) into memory-api. Supported for SQL connectors (postgres, mysql). Returns a summary of what was created.

PRD-005 T3.6, T4.4



## OpenAPI

````yaml /api-reference/catalog-api.json post /connectors/apply-introspection
openapi: 3.1.0
info:
  title: Strattum Catalog API
  description: Expõe a estrutura do data lake — camadas, conectores e tabelas.
  version: 0.1.0
servers: []
security: []
paths:
  /connectors/apply-introspection:
    post:
      tags:
        - connectors
      summary: Apply transforms and update the graph ontology atomically (T3.6, T3.7)
      description: >-
        Writes the provided transforms to a YAML config file and merges ontology
        additions (nodes + edges) into memory-api. Supported for SQL connectors
        (postgres, mysql). Returns a summary of what was created.


        PRD-005 T3.6, T4.4
      operationId: apply_introspection_connectors_apply_introspection_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ApplyIntrospectionRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApplyIntrospectionResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    ApplyIntrospectionRequest:
      properties:
        connector_id:
          type: string
          title: Connector Id
        transforms:
          items:
            $ref: '#/components/schemas/TransformRef'
          type: array
          title: Transforms
        ontology_nodes:
          items:
            $ref: '#/components/schemas/OntologyNodeSpec'
          type: array
          title: Ontology Nodes
          default: []
        ontology_edges:
          items:
            $ref: '#/components/schemas/OntologyEdgeSpec'
          type: array
          title: Ontology Edges
          default: []
      type: object
      required:
        - connector_id
        - transforms
      title: ApplyIntrospectionRequest
    ApplyIntrospectionResponse:
      properties:
        status:
          type: string
          title: Status
        nodes_added:
          type: integer
          title: Nodes Added
        edges_added:
          type: integer
          title: Edges Added
        transforms_created:
          type: integer
          title: Transforms Created
      type: object
      required:
        - status
        - nodes_added
        - edges_added
        - transforms_created
      title: ApplyIntrospectionResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    TransformRef:
      properties:
        name:
          type: string
          title: Name
        source:
          type: string
          title: Source
        destination:
          type: string
          title: Destination
      type: object
      required:
        - name
        - source
        - destination
      title: TransformRef
    OntologyNodeSpec:
      properties:
        label:
          type: string
          title: Label
        source:
          type: string
          title: Source
        id_field:
          type: string
          title: Id Field
        er_fields:
          items:
            type: string
          type: array
          title: Er Fields
          default: []
        properties:
          items:
            type: string
          type: array
          title: Properties
          default: []
      type: object
      required:
        - label
        - source
        - id_field
      title: OntologyNodeSpec
    OntologyEdgeSpec:
      properties:
        from_label:
          type: string
          title: From Label
        to_label:
          type: string
          title: To Label
        edge_type:
          type: string
          title: Edge Type
        via_fk:
          type: boolean
          title: Via Fk
          default: false
      type: object
      required:
        - from_label
        - to_label
        - edge_type
      title: OntologyEdgeSpec
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError

````